---@type LazySpec
return {
  -- {
  --   "catppuccin/nvim",
  --   name = "catppuccin",
  --   opts = {
  --     -- configuration options...
  --     flavor = "mocha",
  --     dim_inactive = {
  --       enable = true,
  --       shade = "light",
  --       percentage = 0.15,
  --     },
  --     color_overrides = {
  --       mocha = {
  --         base = "#26211e",
  --         crust = "#0a0807",
  --         mantle = "#585049",
  --         text = "#e6e2de",
  --         subtext0 = "#c6c2be",
  --         subtext1 = "#a6a29e",
  --         surface0 = "#585049",
  --         surface1 = "#c1b7b0",
  --         surface2 = "#f2f0ef",
  --
  --         red = "#f75b72",
  --         green = "#67af34",
  --         yellow = "#c98b1a",
  --         blue = "#509af6",
  --         pink = "#ca64f3",
  --         teal = "#1faeae",
  --
  --         bright_red    = "#fb8590",
  --         bright_green  = "#75c73b",
  --         bright_yellow = "#e49f27",
  --         bright_blue   = "#77b1fb",
  --         bright_pink   = "#d68af7",
  --         bright_teal   = "#24c6c6",
  --       },
  --     },
  --   },
  -- },
  -- {
  --   "AstroNvim/astroui",
  --   ---@type AstroUIOpts
  --   opts = {
  --     colorscheme = "catppuccin",
  --   },
  -- },
  {
    "p00f/clangd_extensions.nvim",
    optional = true,
    opts = { extensions = { autoSetHints = true } },
    init = function()
      --load clangd extensions when clangd attaches
      local augroup = vim.api.nvim_create_augroup("clangd_extensions", { clear = true })
      vim.api.nvim_create_autocmd("LspAttach", {
        group = augroup,
        desc = "Load clangd_extensions with clangd",
        callback = function(args)
          if assert(vim.lsp.get_client_by_id(args.data.client_id)).name == "clangd" then
            require("clangd_extensions")
            require("clangd_extensions.inlay_hints").setup_autocmd()
            require("clangd_extensions.inlay_hints").set_inlay_hints()
            vim.api.nvim_del_augroup_by_id(augroup)
          end
        end,
      })
    end,
  },
  {
    "simrat39/rust-tools.nvim",
    optional = true,
    opts = { tools = { inlay_hints = { auto = true } } },
  },
}
